#version 330 core

in VS_OUT {
	vec3 fragmentPosition;
	vec2 textureCoordinate;
	vec3 normal;
} fs_in;

!include types.glsl

uniform Material material;

uniform vec3 cameraPos;

out vec4 color;

!include lightcalc.glsl

void main() {
	vec3 norm = normalize(fs_in.normal);
	vec3 viewDir = normalize(cameraPos - fs_in.fragmentPosition);
	//color = length(fs_in.fragmentPosition) / 2 * vec4(1.0);
	//color = vec4(norm, 1.0);

	color = texture(material.diffuse, fs_in.textureCoordinate);

	//PointLight light = {};
}
